Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wsrp.consumer.interceptor
Enum Status.PostInvoke

    java.lang.Object
      java.lang.Enum<Status.PostInvoke>
          com.bea.wsrp.consumer.interceptor.Status.PostInvoke

All Implemented Interfaces
  Serializable, Comparable<Status.PostInvoke>

Enclosing interface:
  Status

    public static enum Status.PostInvoke

extends Enum<Status.PostInvoke>

The possible return values for the postInvoke method of an interceptor.

Enum Constant Summary
`ABORT_CHAIN` Aborts executing rest of the interceptors in a chain.
`CONTINUE_CHAIN` Continues executing interceptors chain.

Method Summary
`static Status.PostInvoke` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Status.PostInvoke[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTINUE_CHAIN

    public static final Status.PostInvoke CONTINUE_CHAIN

  Continues executing interceptors chain.

### ABORT_CHAIN

    public static final Status.PostInvoke ABORT_CHAIN

  Aborts executing rest of the interceptors in a chain.

Method Detail

### values

    public static final Status.PostInvoke[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static Status.PostInvoke valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved